vue-cli3.0安装失败,解决办法

作者:admin 2021-03-15 浏览:1904
导读: 按照vue-cli3.0官网卸载和安装vue-clinpm uninstall vue-cli -g      // 卸载vue-cli旧版本npm install -g @vue/cli      // 安装vue-cli3.0npm v...
按照vue-cli3.0官网卸载和安装vue-cli

npm uninstall vue-cli -g      // 卸载vue-cli旧版本

npm install -g @vue/cli      // 安装vue-cli3.0

npm vue -V                  // 查版本

安装后版本仍然为旧版本?

// 错误重现:

PS D:\micro-ui> vue -V

2.9.6

PS D:\micro-ui> npm uninstall -g vue-cli

up to date in 0.043s

PS D:\micro-ui> npm config set prefix "C:\Program Files\nodejs\node_global"

PS D:\micro-ui> npm install -g @vue/cli

npm WARN deprecated cross-spawn-async@2.2.5: cross-spawn no longer requires a build toolchain, use it instead

C:\Program Files\nodejs\node_global\vue -> C:\Program Files\nodejs\node_global\node_modules\@vue\cli\bin\vue.js

npm WARN optional SKIPPING OPTIONAL DEPENDENCY: fsevents@1.2.7 (node_modules\@vue\cli\node_modules\fsevents):

npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for fsevents@1.2.7: wanted {"os":"darwin","arch":"any"} (current: {"os":"win32","arch":"x64"})


+ @vue/cli@3.5.0

updated 1 package in 75.482s

PS D:\micro-ui> vue -V

2.9.6

解决办法:

修改环境变量(控制面板—系统和安全—系统—高级系统设置—环境变量)

将用户变量中的path里C:\Users\Administrator\AppData\Roaming\npm’修改为系统变量中NODE_PATH的路径C:\Program Files\nodejs\node_global


修改前:

在这里插入图片描述

修改后:

在这里插入图片描述

修改后,确认保存。
一定要重新开一个命令窗口哦,重新执行vue -V

在这里插入图片描述


转载请注明出处:admin,如有疑问,请联系(47379717)。
本文地址:http://www.ohoyoo.com/view/557.html

相关文章

添加回复:

◎欢迎参与讨论,请在这里发表您的看法、交流您的观点。